Bug 1454380 - block encrypted NFS volume creation
Summary: block encrypted NFS volume creation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: zstream
: 9.0 (Mitaka)
Assignee: Eric Harney
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On: 1434989
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-22 15:02 UTC by Eric Harney
Modified: 2017-11-08 18:44 UTC (History)
6 users (show)

Fixed In Version: openstack-cinder-8.1.1-12.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1434989
Environment:
Last Closed: 2017-11-08 18:44:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1675469 None None None 2017-05-22 15:02:32 UTC
OpenStack gerrit 449205 None None None 2017-05-22 15:02:32 UTC
Red Hat Product Errata RHBA-2017:3156 normal SHIPPED_LIVE openstack-cinder bug fix advisory 2017-11-08 23:40:52 UTC

Description Eric Harney 2017-05-22 15:02:33 UTC
+++ This bug was initially created as a clone of Bug #1434989 +++

Volume encryption does not yet work with the Cinder NFS driver.

However, Cinder will create volumes that appear to be encrypted.

This was fixed in the RBD driver here: https://review.openstack.org/#/c/386185/

We should apply a similar fix for the NFS driver.

Comment 1 Red Hat Bugzilla Rules Engine 2017-05-22 15:02:39 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 5 Avi Avraham 2017-11-05 14:49:58 UTC
Verified 
Apackage installed :
[root@controller-0 ~]# rpm -qa openstack-cinder
openstack-cinder-8.1.1-13.el7ost.noarch

Test run steps 
1) NFS backend configured 
2) encryption configured 
3) LUKS type created 
4) running "volume create" command
The volume creation ended in error status when running "volume list" command 
In volume log file the following error is presented 

2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher   File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 343, in reraise
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher     six.reraise(*self._exc_info)
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher   File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/executor.py", line 82, in _execute_task
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher     result = task.execute(**arguments)
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher   File "/usr/lib/python2.7/site-packages/cinder/volume/flows/manager/create_volume.py", line 851, in execute
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher     **volume_spec)
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher   File "/usr/lib/python2.7/site-packages/cinder/volume/flows/manager/create_volume.py", line 829, in _create_raw_volume
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher     return self.driver.create_volume(volume_ref)
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher   File "/usr/lib/python2.7/site-packages/cinder/volume/drivers/remotefs.py", line 235, in create_volume
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher     raise exception.VolumeDriverException(message=message)
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher VolumeDriverException: Volume driver reported an error: Encryption is not yet supported.
2017-11-05 14:34:43.952 26062 ERROR oslo_messaging.rpc.dispatcher

Comment 7 errata-xmlrpc 2017-11-08 18:44:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3156


Note You need to log in before you can comment on or make changes to this bug.